Summary: NVIDIA Linux Display Driver
Name: nvidia-graphics-short-lived
Version: 415.18
Release: 86%{?dist}
Epoch: 4
License: NVIDIA, distributable
Group: User Interface/X Hardware Support
URL: http://www.nvidia.com/
Requires: nvidia-graphics%{version}
Provides: nvidia-graphics = %{evr}
Obsoletes: nvidia-graphics < %{evr}

%description
The NVIDIA Accelerated Linux Driver Set brings both accelerated 2D
functionality and high performance OpenGL support to Linux x86 with
the use of NVIDIA graphics processing units (GPUs).

%package devel
Summary: Development files for nvidia-graphics chips.
Group: Development/Libraries
Requires: nvidia-graphics%{version}-devel
Provides: nvidia-graphics-devel = %{evr}
Obsoletes: nvidia-graphics-devel < %{evr}
Conflicts: nvidia-graphics100.14.09-devel
Conflicts: nvidia-graphics100.14.11-devel
Conflicts: nvidia-graphics100.14.19-devel
Conflicts: nvidia-graphics100.14.23-devel
Conflicts: nvidia-graphics169.07-devel
Conflicts: nvidia-graphics169.09-devel
Conflicts: nvidia-graphics169.12-devel
Conflicts: nvidia-graphics173.14.05-devel
Conflicts: nvidia-graphics173.14.09-devel
Conflicts: nvidia-graphics173.14.12-devel
Conflicts: nvidia-graphics173.14.15-devel
Conflicts: nvidia-graphics173.14.16-devel
Conflicts: nvidia-graphics173.14.17-devel
Conflicts: nvidia-graphics173.14.18-devel
Conflicts: nvidia-graphics173.14.20-devel
Conflicts: nvidia-graphics173.14.22-devel
Conflicts: nvidia-graphics173.14.25-devel
Conflicts: nvidia-graphics173.14.27-devel
Conflicts: nvidia-graphics173.14.28-devel
Conflicts: nvidia-graphics177.13-devel
Conflicts: nvidia-graphics177.67-devel
Conflicts: nvidia-graphics177.76-devel
Conflicts: nvidia-graphics177.80-devel
Conflicts: nvidia-graphics177.82-devel
Conflicts: nvidia-graphics180.18-devel
Conflicts: nvidia-graphics180.22-devel
Conflicts: nvidia-graphics180.29-devel
Conflicts: nvidia-graphics180.35-devel
Conflicts: nvidia-graphics180.37-devel
Conflicts: nvidia-graphics180.41-devel
Conflicts: nvidia-graphics180.44-devel
Conflicts: nvidia-graphics180.51-devel
Conflicts: nvidia-graphics180.53-devel
Conflicts: nvidia-graphics180.60-devel
Conflicts: nvidia-graphics185.13-devel
Conflicts: nvidia-graphics185.18.04-devel
Conflicts: nvidia-graphics185.18.14-devel
Conflicts: nvidia-graphics185.18.31-devel
Conflicts: nvidia-graphics185.18.36-devel
Conflicts: nvidia-graphics190.18-devel
Conflicts: nvidia-graphics190.25-devel
Conflicts: nvidia-graphics190.32-devel
Conflicts: nvidia-graphics190.36-devel
Conflicts: nvidia-graphics190.40-devel
Conflicts: nvidia-graphics190.42-devel
Conflicts: nvidia-graphics190.53-devel
Conflicts: nvidia-graphics195.30-devel
Conflicts: nvidia-graphics195.36.15-devel
Conflicts: nvidia-graphics195.36.24-devel
Conflicts: nvidia-graphics195.36.31-devel
Conflicts: nvidia-graphics256.35-devel
Conflicts: nvidia-graphics256.44-devel
Conflicts: nvidia-graphics256.53-devel
Conflicts: nvidia-graphics260.19.12-devel
#Conflicts: nvidia-graphics260.19.21-devel
Conflicts: nvidia-graphics4363-devel
Conflicts: nvidia-graphics4496-devel
Conflicts: nvidia-graphics4620-devel
Conflicts: nvidia-graphics5328-devel
Conflicts: nvidia-graphics5332-devel
Conflicts: nvidia-graphics5336-devel
Conflicts: nvidia-graphics6106-devel
Conflicts: nvidia-graphics6111-devel
Conflicts: nvidia-graphics6629-devel
Conflicts: nvidia-graphics7167-devel
Conflicts: nvidia-graphics7174-devel
Conflicts: nvidia-graphics7182-devel
Conflicts: nvidia-graphics7184-devel
Conflicts: nvidia-graphics7185-devel
Conflicts: nvidia-graphics71.86.01-devel
Conflicts: nvidia-graphics71.86.04-devel
Conflicts: nvidia-graphics71.86.06-devel
Conflicts: nvidia-graphics71.86.07-devel
Conflicts: nvidia-graphics71.86.08-devel
Conflicts: nvidia-graphics71.86.09-devel
Conflicts: nvidia-graphics71.86.11-devel
Conflicts: nvidia-graphics71.86.13-devel
Conflicts: nvidia-graphics71.86.14-devel
Conflicts: nvidia-graphics7664-devel
Conflicts: nvidia-graphics7667-devel
Conflicts: nvidia-graphics7676-devel
Conflicts: nvidia-graphics8174-devel
Conflicts: nvidia-graphics8178-devel
Conflicts: nvidia-graphics8756-devel
Conflicts: nvidia-graphics8762-devel
Conflicts: nvidia-graphics8774-devel
Conflicts: nvidia-graphics8776-devel
Conflicts: nvidia-graphics9629-devel
Conflicts: nvidia-graphics9631-devel
Conflicts: nvidia-graphics9639-devel
Conflicts: nvidia-graphics96.43.01-devel
Conflicts: nvidia-graphics96.43.05-devel
Conflicts: nvidia-graphics96.43.07-devel
Conflicts: nvidia-graphics96.43.09-devel
Conflicts: nvidia-graphics96.43.10-devel
Conflicts: nvidia-graphics96.43.11-devel
Conflicts: nvidia-graphics96.43.13-devel
Conflicts: nvidia-graphics96.43.14-devel
Conflicts: nvidia-graphics96.43.16-devel
Conflicts: nvidia-graphics96.43.18-devel
Conflicts: nvidia-graphics9731-devel
Conflicts: nvidia-graphics9746-devel
Conflicts: nvidia-graphics9755-devel

%description devel
The NVIDIA Accelerated Linux Driver Set brings both accelerated 2D
functionality and high performance OpenGL support to Linux x86 with
the use of NVIDIA graphics processing units (GPUs).

This package contains files necessary for developing for NVIDIA GPUs.

%global NVfolder nvidia-graphics-%{version}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_includedir}
#for x in `cd %{_includedir}/%{NVfolder}; ls`; do
#  ln -s %{NVfolder}/$x %{buildroot}%{_includedir}/
#done
ln -s %{NVfolder} %{buildroot}%{_includedir}/nvidia-graphics
#mkdir -p %{buildroot}%{_libdir}{,/tls}
mkdir -p %{buildroot}%{_libdir}
#for x in `cd %{_libdir}/%{NVfolder}; ls lib*`; do
#  ln -s %{NVfolder}/$x %{buildroot}%{_libdir}/
#done
#for x in `cd %{_libdir}/%{NVfolder}/tls; ls lib*`; do
#  ln -s %{NVfolder}/$x %{buildroot}%{_libdir}/tls/
#done
ln -s %{NVfolder} %{buildroot}%{_libdir}/nvidia-graphics

%files
%defattr(-,root,root,-)

%files devel
%defattr(-,root,root,-)
#exclude %{_includedir}/GL
#%{_includedir}/cuda
#%{_includedir}/vdpau
#%{_libdir}/lib*
#%{_libdir}/tls/lib*
%{_includedir}/nvidia-graphics
%{_libdir}/nvidia-graphics

%changelog
* Mon Dec 03 2018 Stephen Collier <stephenbcollier@gmail.com> - 415.18-86
- Update to latest nvidia version (415.18).

* Wed Aug 22 2018 Stephen Collier <stephenbcollier@gmail.com> - 396.54-85
- Update to latest nvidia version (396.54).

* Sat Aug 04 2018 Stephen Collier <stephenbcollier@gmail.com> - 396.51-84
- Update to latest nvidia version (396.51).

* Thu May 03 2018 Stephen Collier <stephenbcollier@gmail.com> - 396.24-83
- Update to latest nvidia version (396.24).

* Thu May 03 2018 Stephen Collier <stephenbcollier@gmail.com> - 45-82
- Update to latest nvidia version (45).

* Fri Nov 24 2017 Stephen Collier <stephenbcollier@gmail.com> - 387.34-81
- Update to latest nvidia version (387.34).

* Mon Oct 30 2017 Stephen Collier <stephenbcollier@gmail.com> - 387.22-80
- Update to latest nvidia version (387.22).

* Thu May 11 2017 Stephen Collier <stephenbcollier@gmail.com> - 381.22-79
- Update to latest nvidia version (381.22).

* Mon Mar 06 2017 Stephen Collier <stephenbcollier@gmail.com> - 378.13-78
- Update to latest nvidia version (378.13).

* Thu Sep 08 2016 Stephen Collier <stephenbcollier@gmail.com> - 370.28-77
- Update to latest nvidia version (370.28).

* Tue Apr 26 2016 Stephen Collier <stephenbcollier@gmail.com> - 364.19-76
- Update to latest nvidia version (364.19).

* Sat Nov 28 2015 Stephen Collier <stephenbcollier@gmail.com> - 358.16-75
- Update to latest nvidia version (358.16).

* Fri Sep 04 2015 Stephen Collier <stephenbcollier@gmail.com> - 355.11-74
- Update to latest nvidia version (355.11).

* Wed Apr 15 2015 Stephen Collier <stephenbcollier@gmail.com> - 349.16-73
- Update to latest nvidia version (349.16).

* Fri Dec 12 2014 Stephen Collier <stephenbcollier@gmail.com> - 343.36-72
- Update to latest nvidia version (343.36).

* Fri Nov  7 2014 Stephen Collier <stephenbcollier@gmail.com> - 4:340.46-71
- Update to 343.22.

* Mon Aug 12 2013 Axel Thimm <Axel.Thimm@ATrpms.net> - 4:325.15-70
- Update to 325.15.

* Sun Jul  1 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 4:302.17-68
- Update to 302.17.

* Fri May 11 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 4:295.49-67
- Update to 295.49.

* Mon Apr 30 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 4:295.40-66
- Update to 295.40.

* Sun Apr  8 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 4:295.33-65
- Update to 295.33.

* Thu Mar  8 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 4:290.10-64
- Back to 290.10.

* Sat Feb 25 2012 Axel Thimm <Axel.Thimm@ATrpms.net> - 3:295.20-63
- Update to 295.20.

* Fri Nov 25 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 3:290.10-62
- Update to 290.10.

* Sun Oct 23 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 3:285.05.09-61
- Update to 285.05.09.

* Wed Aug  3 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 3:280.13-60
- Update to 280.13.

* Mon Jul 25 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 3:275.21-59
- Update to 275.21.

* Mon Jun 20 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 3:275.09.07-58
- Update to 275.09.07.

* Fri May 27 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 3:270.41.19-57
- Update to 270.41.19.

* Thu Mar 24 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 3:260.19.44-56
- Update to 260.19.44.

* Tue Jan 25 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 3:260.19.36-55
- Update to 260.19.36.

* Tue Jan 11 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 3:260.19.29-54
- Update to 260.19.29.

* Sat Nov 13 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 3:260.19.21-53
- Update to 260.19.21.

* Sat Oct 16 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 3:260.19.12-52
- Update to 260.19.12.

* Fri Sep  3 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 3:256.53-51
- Update to 256.53.

* Sun Aug  8 2010 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 256.44.

* Tue Jun 29 2010 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 256.35.

* Wed Jun 23 2010 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 195.36.31.

* Fri May 14 2010 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 195.36.24.

* Tue Mar 30 2010 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 195.36.15.

* Sun Jan  3 2010 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 190.53.

* Fri Oct 23 2009 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 190.42.

* Sat Oct 17 2009 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 190.36.

* Fri Sep 11 2009 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 190.32.

* Fri Aug 28 2009 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 190.25.

* Sat Aug 15 2009 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 190.18.

* Sun Apr 26 2009 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 185.18.04.

* Sat Mar 14 2009 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update top 180.37.

* Sun Mar  8 2009 Axel Thimm <Axel.Thimm@ATrpms.net>
- Downgrade to 180.29.

* Wed Feb 25 2009 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 180.35.

* Sun Feb 15 2009 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 180.29.

* Fri Oct 10 2008 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 177.80.

* Sun Aug  3 2008 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 173.14.12.

* Mon Jun 30 2008 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 173.14.09.

* Sat May 31 2008 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 173.14.05.

* Sat Mar 15 2008 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 169.12.

* Sun Feb 10 2008 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 169.09.

* Sun Dec 23 2007 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 169.07.

* Sun Oct  7 2007 Axel Thimm <Axel.Thimm@ATrpms.net>
- Upgrade to 100.14.19.

* Sun Jun 24 2007 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 100.14.11.

* Wed Jun 13 2007 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 100.14.09.

* Fri Mar  9 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 2:1.0.9755-18
- Update to 9755.

* Wed Dec  6 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 2:1.0.9631-16
- Update to 9631.

* Wed Oct 25 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 2:1.0.8776
- Update to 8776.

* Tue May 23 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 8762.

* Sat Apr  8 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 8756.

* Fri Dec 23 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 8178.

* Wed Aug 31 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 7676.

* Sat Apr  2 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 7174.

* Wed Mar 16 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 7167.

* Thu Nov 25 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 6629 for all archs.

* Sat Jul  3 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 6106 for i386 archs.

* Sun Jun  6 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

